/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.sys.modular.basePigpen.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.annotation.CommonLog;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.common.pojo.CommonValidList;
import vip.xiaonuo.sys.modular.basePigpen.entity.SysBasePigpen;
import vip.xiaonuo.sys.modular.basePigpen.param.SysBasePigpenAddParam;
import vip.xiaonuo.sys.modular.basePigpen.param.SysBasePigpenEditParam;
import vip.xiaonuo.sys.modular.basePigpen.param.SysBasePigpenIdParam;
import vip.xiaonuo.sys.modular.basePigpen.param.SysBasePigpenPageParam;
import vip.xiaonuo.sys.modular.basePigpen.service.SysBasePigpenService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

/**
 * 栋舍控制器
 *
 * @author newspaper
 * @date  2024/01/24 19:15
 */
@Api(tags = "栋舍控制器")
@ApiSupport(author = "SNOWY_TEAM", order = 1)
@RestController
@Validated
public class SysBasePigpenController {

//    @Resource
//    private SysBasePigpenService sysBasePigpenService;
//
//    /**
//     * 获取栋舍分页
//     *
//     * @author newspaper
//     * @date  2024/01/24 19:15
//     */
//    @ApiOperationSupport(order = 1)
//    @ApiOperation("获取栋舍分页")
//    @SaCheckPermission("/sys/basePigpen/page")
//    @GetMapping("/sys/basePigpen/page")
//    public CommonResult<Page<SysBasePigpen>> page(SysBasePigpenPageParam sysBasePigpenPageParam) {
//        return CommonResult.data(sysBasePigpenService.page(sysBasePigpenPageParam));
//    }
//
//    /**
//     * 添加栋舍
//     *
//     * @author newspaper
//     * @date  2024/01/24 19:15
//     */
//    @ApiOperationSupport(order = 2)
//    @ApiOperation("添加栋舍")
//    @CommonLog("添加栋舍")
//    @SaCheckPermission("/sys/basePigpen/add")
//    @PostMapping("/sys/basePigpen/add")
//    public CommonResult<String> add(@RequestBody @Valid SysBasePigpenAddParam sysBasePigpenAddParam) {
//        sysBasePigpenService.add(sysBasePigpenAddParam);
//        return CommonResult.ok();
//    }
//
//    /**
//     * 编辑栋舍
//     *
//     * @author newspaper
//     * @date  2024/01/24 19:15
//     */
//    @ApiOperationSupport(order = 3)
//    @ApiOperation("编辑栋舍")
//    @CommonLog("编辑栋舍")
//    @SaCheckPermission("/sys/basePigpen/edit")
//    @PostMapping("/sys/basePigpen/edit")
//    public CommonResult<String> edit(@RequestBody @Valid SysBasePigpenEditParam sysBasePigpenEditParam) {
//        sysBasePigpenService.edit(sysBasePigpenEditParam);
//        return CommonResult.ok();
//    }
//
//    /**
//     * 删除栋舍
//     *
//     * @author newspaper
//     * @date  2024/01/24 19:15
//     */
//    @ApiOperationSupport(order = 4)
//    @ApiOperation("删除栋舍")
//    @CommonLog("删除栋舍")
//    @SaCheckPermission("/sys/basePigpen/delete")
//    @PostMapping("/sys/basePigpen/delete")
//    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
//                                                   CommonValidList<SysBasePigpenIdParam> sysBasePigpenIdParamList) {
//        sysBasePigpenService.delete(sysBasePigpenIdParamList);
//        return CommonResult.ok();
//    }
//
//    /**
//     * 获取栋舍详情
//     *
//     * @author newspaper
//     * @date  2024/01/24 19:15
//     */
//    @ApiOperationSupport(order = 5)
//    @ApiOperation("获取栋舍详情")
//    @SaCheckPermission("/sys/basePigpen/detail")
//    @GetMapping("/sys/basePigpen/detail")
//    public CommonResult<SysBasePigpen> detail(@Valid SysBasePigpenIdParam sysBasePigpenIdParam) {
//        return CommonResult.data(sysBasePigpenService.detail(sysBasePigpenIdParam));
//    }
}
