/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.sys.modular.department.controller;

import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

/**
 * 部门控制器
 *
 * @author newspaper
 * @date  2024/01/22 19:30
 */
@Api(tags = "部门控制器")
@ApiSupport(author = "SNOWY_TEAM", order = 1)
@RestController
@Validated
public class SysDepartmentController {

//    @Resource
//    private DepartmentService departmentService;
//
//    /**
//     * 获取部门分页
//     *
//     * @author newspaper
//     * @date  2024/01/22 19:30
//     */
//    @ApiOperationSupport(order = 1)
//    @ApiOperation("获取部门分页")
//    @SaCheckPermission("/sys/department/page")
//    @GetMapping("/sys/department/page")
//    public CommonResult<Page<Department>> page(DepartmentPageParam departmentPageParam) {
//        return CommonResult.data(departmentService.page(departmentPageParam));
//    }
//
//    /**
//     * 添加部门
//     *
//     * @author newspaper
//     * @date  2024/01/22 19:30
//     */
//    @ApiOperationSupport(order = 2)
//    @ApiOperation("添加部门")
//    @CommonLog("添加部门")
//    @SaCheckPermission("/sys/department/add")
//    @PostMapping("/sys/department/add")
//    public CommonResult<String> add(@RequestBody @Valid DepartmentAddParam departmentAddParam) {
//        departmentService.add(departmentAddParam);
//        return CommonResult.ok();
//    }
//
//    /**
//     * 编辑部门
//     *
//     * @author newspaper
//     * @date  2024/01/22 19:30
//     */
//    @ApiOperationSupport(order = 3)
//    @ApiOperation("编辑部门")
//    @CommonLog("编辑部门")
//    @SaCheckPermission("/sys/department/edit")
//    @PostMapping("/sys/department/edit")
//    public CommonResult<String> edit(@RequestBody @Valid DepartmentEditParam departmentEditParam) {
//        departmentService.edit(departmentEditParam);
//        return CommonResult.ok();
//    }
//
//    /**
//     * 删除部门
//     *
//     * @author newspaper
//     * @date  2024/01/22 19:30
//     */
//    @ApiOperationSupport(order = 4)
//    @ApiOperation("删除部门")
//    @CommonLog("删除部门")
//    @SaCheckPermission("/sys/department/delete")
//    @PostMapping("/sys/department/delete")
//    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
//                                                   CommonValidList<DepartmentIdParam> departmentIdParamList) {
//        departmentService.delete(departmentIdParamList);
//        return CommonResult.ok();
//    }
//
//    /**
//     * 获取部门详情
//     *
//     * @author newspaper
//     * @date  2024/01/22 19:30
//     */
//    @ApiOperationSupport(order = 5)
//    @ApiOperation("获取部门详情")
//    @SaCheckPermission("/sys/department/detail")
//    @GetMapping("/sys/department/detail")
//    public CommonResult<Department> detail(@Valid DepartmentIdParam departmentIdParam) {
//        return CommonResult.data(departmentService.detail(departmentIdParam));
//    }
}
