package vip.xiaonuo.modular.env.envdata.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.sql.Date;
import java.time.LocalDateTime;

@Data
public class EnvDataListVo {
    @ApiModelProperty(value = "温度", position = 1)
    private BigDecimal temp;

    @ApiModelProperty(value = "湿度", position = 2)
    private BigDecimal hum;

    @ApiModelProperty(value = "创建时间", position = 3)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone = "GMT+8")
    private LocalDateTime createTime;

}
