package vip.xiaonuo.modular.people.entity;/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */


import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * people_list实体
 *
 * @author wang
 * @date  2023/12/04 16:16
 **/
@Getter
@Setter
@TableName("people_list")
public class PeopleList {

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "ID", position = 1)
    private Integer id;

    /** 登录账户 */
    @ApiModelProperty(value = "姓名", position = 2)
    private String userName;

    /**  显示名称 */
    @ApiModelProperty(value = " 工号", position = 3)
    private String nickName;


    /** 登录密码 */
    @ApiModelProperty(value = "性别", position = 4)
    private Integer sex;
    /** 创建人 */
    @ApiModelProperty(value = "创建人", position = 5)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 手机号 */
    @ApiModelProperty(value = "手机号", position = 6)
    private String phone;

    /** 头像 */
    @ApiModelProperty(value = "头像", position = 7)
    private String img;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 8)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 负责区域 */
    @ApiModelProperty(value = "负责区域", position = 9)
    private String manageArea;


    private String orgId;


}
